Open Lighting Architecture: ola::plugin::stageprofi::StageProfiPlugin Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::stageprofi::StageProfiPlugin Class Reference
Inheritance diagram for ola::plugin::stageprofi::StageProfiPlugin:

## Public Member Functions
| StageProfiPlugin (PluginAdaptor *plugin_adaptor)
std::string | Name () const
| Get the plugin name.
ola_plugin_id | Id () const
| Get the plugin ID of this plugin.
std::string | Description () const
std::string | PluginPrefix () const
| The prefix to use for storing configuration files.
Public Member Functions inherited from ola::Plugin
| Plugin (PluginAdaptor *plugin_adaptor)
bool | LoadPreferences ()
| Load the preferences for a plugin and set defaults.
std::string | PreferenceConfigLocation () const
| The location for preferences.
bool | IsEnabled () const
| Is the plugin enabled?
void | SetEnabledState (bool enable)
| Set the plugin's enabled state.
virtual bool | Start ()
| Start the plugin.
virtual bool | Stop ()
| Stop the plugin.
virtual bool | DefaultMode () const
virtual void | ConflictsWith (std::set< ola_plugin_id > *) const
bool | operator< (const AbstractPlugin &other) const

## Additional Inherited Members
Protected Attributes inherited from ola::Plugin
PluginAdaptor * | m_plugin_adaptor
class Preferences * | m_preferences
Static Protected Attributes inherited from ola::Plugin
static const char | ENABLED_KEY [] = "enabled"

## Member Function Documentation

## ◆ Description()

string ola::plugin::stageprofi::StageProfiPlugin::Description | ( |  | ) | const
| virtual

Return the description for this plugin.

Returns
  a string description of the plugin

Implements ola::AbstractPlugin.

## ◆ Id()

ola_plugin_id ola::plugin::stageprofi::StageProfiPlugin::Id | ( |  | ) | const
| inlinevirtual

Get the plugin ID of this plugin.

Returns
  the ola_plugin_id of this plugin

Implements ola::Plugin.

## ◆ Name()

std::string ola::plugin::stageprofi::StageProfiPlugin::Name | ( |  | ) | const
| inlinevirtual

Get the plugin name.

Returns
  the name of this plugin

Implements ola::AbstractPlugin.

## ◆ PluginPrefix()

std::string ola::plugin::stageprofi::StageProfiPlugin::PluginPrefix | ( |  | ) | const
| inlinevirtual

The prefix to use for storing configuration files.

Returns
  A unique prefix used to identify the configuration file for this plugin.

Implements ola::Plugin.

The documentation for this class was generated from the following files:

- plugins/stageprofi/StageProfiPlugin.h
- plugins/stageprofi/StageProfiPlugin.cpp